Supported drones, cameras and controllers - PIX4Dscan

Follow

Important: PIX4Dmapper, PIX4Dcloud, PIX4Dinspect, PIX4Dmatic, PIX4Dreact, and PIX4Dfields can process images taken virtually from any image acquisition app even if PIX4Dscan or PIX4Dcapture don't support the drone. For more information see which image acquisition app can I use with Pix4D's software?

PIX4Dscan is compatible with iOS and Android tablets and mobile devices. The PIX4Dscan app requires iOS 13 / Android 7 or later. We recommend using the latest operating system.

PIX4Dscan has been tested with the following devices:

  • iOS: iPad Mini 5th gen, iPad Pro 2nd gen, iPad 7th gen, iPad Air 2, iPhone 13 Pro Max.
  • Android: Samsung Galaxy Tab A7, Samsung Galaxy Tab S7, Samsung Tab Es 15, Xiaomi Redmi Note 9, Lenovo Tab M10 Fhd Plus. 

PIX4Dscan is compatible with the following drones, cameras, and controllers:

Manufacturer Drone Camera Controller iOS Android
DJI drones Matrice 300 RTK DJI Zenmuse P1 (*4) Default DJI Smart Controller Enterprise (*5) Compatible (1.12.0 and later) Compatible (1.5.0 and later)
Phantom 4 Pro V2.0 Built-in Default GL300L Compatible (1.0.0 and later) Compatible (1.0.0 and later)
Phantom 4 Pro Built-in Default GL300F Compatible (1.0.0 and later) Compatible (1.0.0 and later)
Mavic 2 Pro Built-in Default RC1A Compatible (1.0.0 and later) Compatible (1.0.0 and later)  
Mavic 2 Zoom Built-in Default RC1A Compatible (1.6.0 and later) Compatible (1.0.0 and later)
Phantom 4 RTK (*1) Built-in GL300L (SDK remote controller) Compatible (1.5.0 and later) Compatible (1.0.0 and later)  
Phantom 4 Built-in Default GL300C Compatible (1.0.0 and later) Compatible (1.0.0 and later)
Matrice 210 RTK V2 DJI Zenmuse X4S/X5S (*3) Default GL900A (Cendence) Compatible (1.6.0 and later) Compatible (1.0.0 and later)
Matrice 210 V2  DJI Zenmuse X4S/X5S (*3) Default GL900A (Cendence) Compatible (1.6.0 and later) Compatible (1.0.0 and later)
Matrice 200 V2 DJI Zenmuse X4S/X5S (*3) Default GL900A (Cendence)  Compatible (1.6.0 and later) Compatible (1.0.0 and later)
Matrice 210 RTK (*2) DJI Zenmuse X4S/X5S (*3) Default GL800A (Cendence) Compatible (1.5.0 and later) Compatible (1.0.0 and later)
Matrice 210 (*2) DJI Zenmuse X4S/X5S (*3) Default GL800A (Cendence)  Compatible (1.5.0 and later) Compatible (1.0.0 and later)
Matrice 200 (*2) DJI Zenmuse X4S/X5S (*3) Default GL6D10A  Compatible (1.5.0 and later) Compatible (1.0.0 and later)
Parrot drones Anafi Ai Built-in Default Skycontroller 4 Compatible (1.9.0 and later) Not Compatible
Anafi USA Built-in (RGB only) Default Skycontroller 3, and Skycontroller USA Compatible (1.1.0 and later) Compatible (1.1.0 and later)
Anafi Thermal Built-in (RGB only) Default Skycontroller 3 Compatible (1.1.0 and later) Compatible (1.1.0 and later)
Anafi Built-in Default Skycontroller 3 Compatible (1.1.0 and later) Compatible (1.1.0 and later)

*1 - No RTK corrections available. We recommend disabling the RTK corrections from the vendor application otherwise, this drone might not be able to start a mission in PIX4Dscan.
*2 - Cell tower asset not available.
*3 - For the DJI Zenmuse X5S, the compatible lense model is DJI MFT 15mm/1.7 ASPH.

*4 - Compatible lens model is DJI DL 35mm F2.8 LS ASPH.

*5 - PIX4Dscan can be installed on an external iOS or Android mobile device (phone or tablet) mounted over the Smart Controller Enterprise (screen mounting bracket and appropriate USB cable required) or on the DJI Smart Controller Enterprise built-in screen (More info here:How to install the latest compatible APK on the DJI Smart Controller Enterprise - PIX4Dscan).

Disclaimer: Pix4D publishes this information as a courtesy to its customers. Because this information may not be accurate, Pix4D makes no warranty of any kind, expressed or implied, with respect to its validity.

Was this article helpful?
1 out of 1 found this helpful

Article feedback (for troubleshooting, post here)

0 comments

Article is closed for comments.